package com.jeeplus.flowable.factory;

import com.jeeplus.flowable.feign.IJyProjectApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class JyProjectApiFallbackFactory implements FallbackFactory<IJyProjectApi> {
    @Override
    public IJyProjectApi create(Throwable cause) {
        log.error ( "嘉溢项目服务调用失败:{}", cause.getMessage ( ) );
        return new IJyProjectApi() {

            @Override
            public String selectAudit() {
                return null;
            }

            @Override
            public String selectAuditInTime() {
                return null;
            }

            @Override
            public void updateStatus(String id, String status, String exceedTimeStatus) {

            }

            @Override
            public String findSeal() {
                return null;
            }

            @Override
            public String findSealInTime() {
                return null;
            }

            @Override
            public void updateSealStatus(String id, String status, String exceedTimeStatus) {

            }


            @Override
            public String findReportsSubmitListExccedTime() {
                return null;
            }

            @Override
            public String findReportsSubmitListInTime() {
                return null;
            }

            @Override
            public void updateExceedTimeStatus(String id, String status, String exceedTimeStatus) {

            }
        };
    }
}
